[Campfire](http://campfirenow.com) is the web based chat application built by
[37 Signals](http://37signals.com). The Campfire adapter is one of the original
adapters in Hubot.

## Getting Started

First you will need a Campfire account, you can sign up for
[a free account](https://signup.37signals.com/campfire/free/signup/new).

Next you will need to create an account on Campfire for your Hubot and allow it
to connect to your rooms.

To use the Campfire adapter you will need to specify `campfire` as the option
to the `-a` flag when running hubot. If you're deploying to Heroku you will
need to make sure the `-a` option is followed by `campfire` in the `Procfile`.

## Configuring the Adapter

The Campfire adapter requires only the following environment variables.

* `HUBOT_CAMPFIRE_ACCOUNT`
* `HUBOT_CAMPFIRE_TOKEN`
* `HUBOT_CAMPFIRE_ROOMS`

### Campfire API Token

This can be found by logging in with your hubot's account click the **My Info**
link and make a note of the API token.

### Campfire Room IDs

If you join the rooms you want your hubot to join will see notice a numerical
ID for the room in the URL. Make a note of each ID for the rooms you want your
hubot to join.

### Campfire Subdomain

This is simply the first part of the domain you visit for your Campfire
account. For example if your Campfire was at `hubot.campfirenow.com` your
subdomain is `hubot`. Make a note of the subdomain.

### Configuring the variables on Heroku

    % heroku config:add HUBOT_CAMPFIRE_TOKEN="..."

    % heroku config:add HUBOT_CAMPFIRE_ROOMS="123,321"

    % heroku config:add HUBOT_CAMPFIRE_ACCOUNT="..."

### Configuring the variables on UNIX

    % export HUBOT_CAMPFIRE_TOKEN="..."

    % export HUBOT_CAMPFIRE_ROOMS="123,321"

    % export HUBOT_CAMPFIRE_ACCOUNT="..."

### Configuring the variables on Windows

From Powershell:

    setx HUBOT_CAMPFIRE_TOKEN "..." /m

    setx HUBOT_CAMPFIRE_ROOMS "123,321" /m 

    setx HUBOT_CAMPFIRE_ACCOUNT "..." /m